<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/BleedingSources/BleedingSource.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">BleedingSource.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:aeba8c9bb130127e78cbffdff6a08cb3f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a> { <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3faa0fbc4c1fa19f3ad8f39e5a972ec39d2">NORMAL</a> = 0
, <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3fa4445b505195079a82ec0a6cd7dc2617d">CONTAMINATED</a>
 }</td></tr>
<tr class="separator:aeba8c9bb130127e78cbffdff6a08cb3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a301d95dfdab75e9e999bc3ead545a325"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a301d95dfdab75e9e999bc3ead545a325">BleedingSource</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> bit, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> bone, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation, <a class="el" href="../../d7/dfc/classvector.html">vector</a> offset, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> max_time, <a class="el" href="../../d4/dc3/classfloat.html">float</a> flow_modifier, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> particle_name)</td></tr>
<tr class="separator:a301d95dfdab75e9e999bc3ead545a325"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd87a00e76550755caeaa37a86abb47a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#afd87a00e76550755caeaa37a86abb47a">~BleedingSource</a> ()</td></tr>
<tr class="separator:afd87a00e76550755caeaa37a86abb47a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21a66c99ed207021ef072ad4c5378676"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a21a66c99ed207021ef072ad4c5378676">SetType</a> (<a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a> type)</td></tr>
<tr class="separator:a21a66c99ed207021ef072ad4c5378676"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb4a6afbec7223ae143aed1d5627dc01"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeb4a6afbec7223ae143aed1d5627dc01">GetType</a> ()</td></tr>
<tr class="separator:aeb4a6afbec7223ae143aed1d5627dc01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22cb590bd07f4982f7839f33aa646585"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a22cb590bd07f4982f7839f33aa646585">GetActiveTime</a> ()</td></tr>
<tr class="separator:a22cb590bd07f4982f7839f33aa646585"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8b8435fe5cff9b3f9ea05ddc1781c32"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ae8b8435fe5cff9b3f9ea05ddc1781c32">SetActiveTime</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> time)</td></tr>
<tr class="separator:ae8b8435fe5cff9b3f9ea05ddc1781c32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32075a45d5cb7d84489330cbd0bce181"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a32075a45d5cb7d84489330cbd0bce181">GetBit</a> ()</td></tr>
<tr class="separator:a32075a45d5cb7d84489330cbd0bce181"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa613c8a80fc89086d77fa356df549ba0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aa613c8a80fc89086d77fa356df549ba0">CreateParticle</a> ()</td></tr>
<tr class="separator:aa613c8a80fc89086d77fa356df549ba0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d9db565980e5f395180b03b3e3ba98d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a4d9db565980e5f395180b03b3e3ba98d">RemoveParticle</a> ()</td></tr>
<tr class="separator:a4d9db565980e5f395180b03b3e3ba98d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0d282df23379d4a740062787f5be2ff"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ab0d282df23379d4a740062787f5be2ff">OnUpdateServer</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> deltatime, <a class="el" href="../../d4/dc3/classfloat.html">float</a> blood_scale, <a class="el" href="../../d9/db9/classbool.html">bool</a> no_blood_loss)</td></tr>
<tr class="separator:ab0d282df23379d4a740062787f5be2ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1542e258ae97cc8fc674c739001c7c2b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a1542e258ae97cc8fc674c739001c7c2b">DrawDebugShape</a> ()</td></tr>
<tr class="separator:a1542e258ae97cc8fc674c739001c7c2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a152fafd84432024accc375e7b4eb41ef"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a152fafd84432024accc375e7b4eb41ef">m_Position</a></td></tr>
<tr class="separator:a152fafd84432024accc375e7b4eb41ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba7b0680fa4ef5112423c0a1ce9f390"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../de/d85/class_particle.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abba7b0680fa4ef5112423c0a1ce9f390">m_BloodParticle</a></td></tr>
<tr class="separator:abba7b0680fa4ef5112423c0a1ce9f390"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db3d46d75d2864daed52041fe1f0973"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a4db3d46d75d2864daed52041fe1f0973">m_Player</a></td></tr>
<tr class="separator:a4db3d46d75d2864daed52041fe1f0973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3f3ee1870e55d48cfab4c21196d8adf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#af3f3ee1870e55d48cfab4c21196d8adf">m_Bit</a></td></tr>
<tr class="separator:af3f3ee1870e55d48cfab4c21196d8adf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abad2bf340f193b0a6826f2b26a04ae0e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abad2bf340f193b0a6826f2b26a04ae0e">m_Bone</a></td></tr>
<tr class="separator:abad2bf340f193b0a6826f2b26a04ae0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2776d01a0ed89fd7408157c632f42e1e"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../de/d27/class_effect_particle.html">EffectParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a2776d01a0ed89fd7408157c632f42e1e">m_BleedingEffect</a></td></tr>
<tr class="separator:a2776d01a0ed89fd7408157c632f42e1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac53f9c284ba6b2a966e2a76a73a2d971"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ac53f9c284ba6b2a966e2a76a73a2d971">m_Orientation</a></td></tr>
<tr class="separator:ac53f9c284ba6b2a966e2a76a73a2d971"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace9e19b79d69c9048da73614612d81dd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ace9e19b79d69c9048da73614612d81dd">m_DebugShape</a></td></tr>
<tr class="separator:ace9e19b79d69c9048da73614612d81dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af453b895ce568d2079d5d39fecfbaad4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#af453b895ce568d2079d5d39fecfbaad4">m_DebugShape1</a></td></tr>
<tr class="separator:af453b895ce568d2079d5d39fecfbaad4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c50f4de35da30cb308432f1a2d1d867"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a9c50f4de35da30cb308432f1a2d1d867">m_DebugTick</a></td></tr>
<tr class="separator:a9c50f4de35da30cb308432f1a2d1d867"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57632c16d19db898a171c96295b477f1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a57632c16d19db898a171c96295b477f1">m_Offset</a></td></tr>
<tr class="separator:a57632c16d19db898a171c96295b477f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a0a4e1b6016d9b9a88259b6997f141d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a8a0a4e1b6016d9b9a88259b6997f141d">m_FlowModifier</a></td></tr>
<tr class="separator:a8a0a4e1b6016d9b9a88259b6997f141d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74ce5e272386ad86c31f11d4257fb52f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a74ce5e272386ad86c31f11d4257fb52f">m_ActiveTime</a></td></tr>
<tr class="separator:a74ce5e272386ad86c31f11d4257fb52f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee2d97c1a409dfb271f1e5b21d7982d2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aee2d97c1a409dfb271f1e5b21d7982d2">m_MaxTime</a></td></tr>
<tr class="separator:aee2d97c1a409dfb271f1e5b21d7982d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af802445b532e7ccc85a873b4ffc67665"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#af802445b532e7ccc85a873b4ffc67665">m_ParticleName</a></td></tr>
<tr class="separator:af802445b532e7ccc85a873b4ffc67665"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0e9b27a4153d762ee6580a5d347abc1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#ad0e9b27a4153d762ee6580a5d347abc1">m_DeleteRequested</a></td></tr>
<tr class="separator:ad0e9b27a4153d762ee6580a5d347abc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfdaa01618f1af01d1a23e2611c0109f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3faa0fbc4c1fa19f3ad8f39e5a972ec39d2">eBleedingSourceType.NORMAL</a></td></tr>
<tr class="separator:abfdaa01618f1af01d1a23e2611c0109f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="aeba8c9bb130127e78cbffdff6a08cb3f" name="aeba8c9bb130127e78cbffdff6a08cb3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeba8c9bb130127e78cbffdff6a08cb3f">&#9670;&#160;</a></span>eBleedingSourceType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="aeba8c9bb130127e78cbffdff6a08cb3faa0fbc4c1fa19f3ad8f39e5a972ec39d2" name="aeba8c9bb130127e78cbffdff6a08cb3faa0fbc4c1fa19f3ad8f39e5a972ec39d2"></a>NORMAL&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="aeba8c9bb130127e78cbffdff6a08cb3fa4445b505195079a82ec0a6cd7dc2617d" name="aeba8c9bb130127e78cbffdff6a08cb3fa4445b505195079a82ec0a6cd7dc2617d"></a>CONTAMINATED&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00001">1</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a301d95dfdab75e9e999bc3ead545a325" name="a301d95dfdab75e9e999bc3ead545a325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a301d95dfdab75e9e999bc3ead545a325">&#9670;&#160;</a></span>BleedingSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void BleedingSource </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>bit</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>bone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>max_time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>flow_modifier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>particle_name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00027">27</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="aa613c8a80fc89086d77fa356df549ba0" name="aa613c8a80fc89086d77fa356df549ba0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa613c8a80fc89086d77fa356df549ba0">&#9670;&#160;</a></span>CreateParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CreateParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00087">87</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a1542e258ae97cc8fc674c739001c7c2b" name="a1542e258ae97cc8fc674c739001c7c2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1542e258ae97cc8fc674c739001c7c2b">&#9670;&#160;</a></span>DrawDebugShape()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DrawDebugShape </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00149">149</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a22cb590bd07f4982f7839f33aa646585" name="a22cb590bd07f4982f7839f33aa646585"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22cb590bd07f4982f7839f33aa646585">&#9670;&#160;</a></span>GetActiveTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetActiveTime </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00072">72</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a32075a45d5cb7d84489330cbd0bce181" name="a32075a45d5cb7d84489330cbd0bce181"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32075a45d5cb7d84489330cbd0bce181">&#9670;&#160;</a></span>GetBit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetBit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00082">82</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="aeb4a6afbec7223ae143aed1d5627dc01" name="aeb4a6afbec7223ae143aed1d5627dc01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb4a6afbec7223ae143aed1d5627dc01">&#9670;&#160;</a></span>GetType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a> GetType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00067">67</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="ab0d282df23379d4a740062787f5be2ff" name="ab0d282df23379d4a740062787f5be2ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0d282df23379d4a740062787f5be2ff">&#9670;&#160;</a></span>OnUpdateServer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnUpdateServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>deltatime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>blood_scale</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>no_blood_loss</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00118">118</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a4d9db565980e5f395180b03b3e3ba98d" name="a4d9db565980e5f395180b03b3e3ba98d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d9db565980e5f395180b03b3e3ba98d">&#9670;&#160;</a></span>RemoveParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RemoveParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00113">113</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="ae8b8435fe5cff9b3f9ea05ddc1781c32" name="ae8b8435fe5cff9b3f9ea05ddc1781c32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8b8435fe5cff9b3f9ea05ddc1781c32">&#9670;&#160;</a></span>SetActiveTime()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetActiveTime </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00077">77</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a21a66c99ed207021ef072ad4c5378676" name="a21a66c99ed207021ef072ad4c5378676"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21a66c99ed207021ef072ad4c5378676">&#9670;&#160;</a></span>SetType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00062">62</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="afd87a00e76550755caeaa37a86abb47a" name="afd87a00e76550755caeaa37a86abb47a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd87a00e76550755caeaa37a86abb47a">&#9670;&#160;</a></span>~BleedingSource()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ~<a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#a301d95dfdab75e9e999bc3ead545a325">BleedingSource</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00046">46</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a74ce5e272386ad86c31f11d4257fb52f" name="a74ce5e272386ad86c31f11d4257fb52f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74ce5e272386ad86c31f11d4257fb52f">&#9670;&#160;</a></span>m_ActiveTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_ActiveTime</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00021">21</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="af3f3ee1870e55d48cfab4c21196d8adf" name="af3f3ee1870e55d48cfab4c21196d8adf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3f3ee1870e55d48cfab4c21196d8adf">&#9670;&#160;</a></span>m_Bit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_Bit</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00012">12</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a2776d01a0ed89fd7408157c632f42e1e" name="a2776d01a0ed89fd7408157c632f42e1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2776d01a0ed89fd7408157c632f42e1e">&#9670;&#160;</a></span>m_BleedingEffect</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../de/d27/class_effect_particle.html">EffectParticle</a> m_BleedingEffect</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00014">14</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="abba7b0680fa4ef5112423c0a1ce9f390" name="abba7b0680fa4ef5112423c0a1ce9f390"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abba7b0680fa4ef5112423c0a1ce9f390">&#9670;&#160;</a></span>m_BloodParticle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../de/d85/class_particle.html">Particle</a> m_BloodParticle</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00010">10</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="abad2bf340f193b0a6826f2b26a04ae0e" name="abad2bf340f193b0a6826f2b26a04ae0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abad2bf340f193b0a6826f2b26a04ae0e">&#9670;&#160;</a></span>m_Bone</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_Bone</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00013">13</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="ace9e19b79d69c9048da73614612d81dd" name="ace9e19b79d69c9048da73614612d81dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace9e19b79d69c9048da73614612d81dd">&#9670;&#160;</a></span>m_DebugShape</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> m_DebugShape</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00016">16</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="af453b895ce568d2079d5d39fecfbaad4" name="af453b895ce568d2079d5d39fecfbaad4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af453b895ce568d2079d5d39fecfbaad4">&#9670;&#160;</a></span>m_DebugShape1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dae/group___debug_shape.html#gaf4344f1db5238ced76a52bf38cee2978">Shape</a> m_DebugShape1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00017">17</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a9c50f4de35da30cb308432f1a2d1d867" name="a9c50f4de35da30cb308432f1a2d1d867"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c50f4de35da30cb308432f1a2d1d867">&#9670;&#160;</a></span>m_DebugTick</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer m_DebugTick</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00018">18</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="ad0e9b27a4153d762ee6580a5d347abc1" name="ad0e9b27a4153d762ee6580a5d347abc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0e9b27a4153d762ee6580a5d347abc1">&#9670;&#160;</a></span>m_DeleteRequested</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_DeleteRequested</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00024">24</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a8a0a4e1b6016d9b9a88259b6997f141d" name="a8a0a4e1b6016d9b9a88259b6997f141d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a0a4e1b6016d9b9a88259b6997f141d">&#9670;&#160;</a></span>m_FlowModifier</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_FlowModifier</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00020">20</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="aee2d97c1a409dfb271f1e5b21d7982d2" name="aee2d97c1a409dfb271f1e5b21d7982d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee2d97c1a409dfb271f1e5b21d7982d2">&#9670;&#160;</a></span>m_MaxTime</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_MaxTime</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00022">22</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a57632c16d19db898a171c96295b477f1" name="a57632c16d19db898a171c96295b477f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57632c16d19db898a171c96295b477f1">&#9670;&#160;</a></span>m_Offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> m_Offset</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00019">19</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="ac53f9c284ba6b2a966e2a76a73a2d971" name="ac53f9c284ba6b2a966e2a76a73a2d971"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac53f9c284ba6b2a966e2a76a73a2d971">&#9670;&#160;</a></span>m_Orientation</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> m_Orientation</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00015">15</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="af802445b532e7ccc85a873b4ffc67665" name="af802445b532e7ccc85a873b4ffc67665"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af802445b532e7ccc85a873b4ffc67665">&#9670;&#160;</a></span>m_ParticleName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_ParticleName</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00023">23</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a4db3d46d75d2864daed52041fe1f0973" name="a4db3d46d75d2864daed52041fe1f0973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db3d46d75d2864daed52041fe1f0973">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00011">11</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
<a id="a152fafd84432024accc375e7b4eb41ef" name="a152fafd84432024accc375e7b4eb41ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a152fafd84432024accc375e7b4eb41ef">&#9670;&#160;</a></span>m_Position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a> m_Position</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abfdaa01618f1af01d1a23e2611c0109f" name="abfdaa01618f1af01d1a23e2611c0109f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfdaa01618f1af01d1a23e2611c0109f">&#9670;&#160;</a></span>m_Type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3f">eBleedingSourceType</a> m_Type = <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#aeba8c9bb130127e78cbffdff6a08cb3faa0fbc4c1fa19f3ad8f39e5a972ec39d2">eBleedingSourceType.NORMAL</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00025">25</a> of file <a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html">BleedingSource.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_b82c30f52f422770260791f196be8538.html">BleedingSources</a></li><li class="navelem"><a class="el" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html">BleedingSource.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
